curl --request PATCH \
--url https://api.sandbox.tesouro.com/finops/v1/bank-details/{bank_account_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"account_holder_name": "Cayla Lloyd",
"display_name": "Primary account"
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/bank-details/{bank_account_id}"
payload = {
"account_holder_name": "Cayla Lloyd",
"display_name": "Primary account"
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({account_holder_name: 'Cayla Lloyd', display_name: 'Primary account'})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/bank-details/{bank_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_holder_name": "Cayla Lloyd",
"account_number": "123456789",
"account_number_last4": "5678",
"bank_name": "Chase",
"display_name": "Primary account",
"routing_number": "123456789",
"was_created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Update bank details
Change display_name or account_holder_name. The other fields are set when the record is created and can’t be changed.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Body
Data that can be updated in existing bank accounts of an entity.
The name of the person or business that owns this bank account. If the account currency is GBP or USD, the holder name cannot be changed to an empty string.
1 - 200"Cayla Lloyd"
User-defined name of this bank account, such as 'Primary account' or 'Savings account'.
1 - 200"Primary account"
Response
Successful Response
Represents a US bank account (bank details) owned by an entity.
Unique ID of the bank account.
The name of the person or business that owns this bank account. Required in the following cases:
- the account currency is GBP or USD,
- the account currency is EUR and the entity wishes to receive SEPA Credit transfers to this account.
"Cayla Lloyd"
The bank account number. Required if the account currency is GBP or USD. UK account numbers typically contain 8 digits. US bank account numbers contain 9 to 12 digits.
"123456789"
The last 4 digits of bank account number. Required if the account currency is GBP or USD and there is no information about the full account number.
"5678"
The bank name.
"Chase"
User-defined name of this bank account, such as 'Primary account' or 'Savings account'.
"Primary account"
The bank's routing transit number (RTN) or branch code. Required if the account currency is USD. US routing numbers consist of 9 digits.
"123456789"
ID of the entity user who added this bank account, or null if it was added using a partner access token.
Was this page helpful?